Name:          libqjson
Version:       0.9.0
Release:       1mamba
Summary:       A lightweight data-interchange format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://qjson.sourceforge.net/
Source:        https://github.com/flavio/qjson.git/%{version}/qjson-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
JSON is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value, and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
JSON is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value, and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n qjson-%{version}

%build
%cmake -d build \
   -DCMAKE_MODULES_INSTALL_DIR=%{_datadir}/cmake/Modules/

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libqjson-qt5.so.*
%doc COPYING.lib README.license

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qjson-qt5
%{_includedir}/qjson-qt5/*.h
%{_libdir}/libqjson-qt5.so
%{_libdir}/pkgconfig/QJson-qt5.pc
%{_libdir}/cmake/qjson-qt5/QJSON*.cmake

%changelog
* Sun Jan 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Sun Aug 15 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.7.1-1mamba
- package created by autospec
